ssh to old HP iLO

Connecting to HP running some older version, only used internally, one can run into situation where after upgrade of local client it is not possible anymore to connect to managed HP ILO system.

Message presented is:

A bit or research it came out that ssh has disabled some not so secure read weak combinations which resulted in that problem.

To workaround it, just follow recommendation from http://www.openssh.com/legacy.html

Below is copy paste from this site.

or in the ~/.ssh/config file:

Soon after another problem was revealed:

To which there’s solution too.

OpenSSH 7.0 and greater similarly disable the ssh-dss (DSA) public key algorithm. It too is weak and we recommend against its use. It can be re-enabled using the HostKeyAlgorithms configuration option:

or in the ~/.ssh/config file:

It’s also possible to query the configuration that ssh is actually using when attempting to connect to a specific host, by using the -G option:

Hope this helps.

Leave a Reply

Your email address will not be published. Required fields are marked *